<?php

namespace App\Form;

use App\Entity\ClasseurFractal;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ClasseurFractalType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
            $builder
                    ->add('name')
                    ->add('membreFractal', null, [
                            'disabled'   => true,
                    ])
            ;
    }
    
    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => ClasseurFractal::class,
        ]);
    }
}
